layout_type_basic_r.h(3)

NAME
layout_type_basic_r.h -

Implement a basic_r layout.

SYNOPSIS

#include <log4c/defs.h>
#include <log4c/layout.h>

Detailed Description

Implement a basic_r layout.

In log4j.PatternLayout conventions, the basic_r layout has the following conversion pattern: '%P %c - %m\n'.

Where

•   '%P' is the priority of the logging event
•   '%c' is the category of the logging event
•   '%m' is the application supplied message associated with the logging event

Author
Generated automatically by Doxygen for log4c from the source code.